Page MenuHomePhabricator

Deprecate and remove $messageMemc
Closed, ResolvedPublic

Description

This task tracks the work in MW core for deprecating and removing $messageMemc, if any migration/removal work in core, bundled/wmf exensions require significant work, that can also be tracked in sub tasks of this one.

  • Deprecate in 1.35.
  • Remove in 1.36.

Event Timeline

Krinkle renamed this task from Deprecate $messageMemc to Deprecate and remove $messageMemc.Feb 14 2020, 6:41 PM
Krinkle updated the task description. (Show Details)

Change 533698 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TitleBlacklist@master] Migrate HTTP cache from messageMemc to APC

https://gerrit.wikimedia.org/r/533698

Change 533699 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/SpamBlacklist@master] Migrate HTTP cache from messageMemc to APC

https://gerrit.wikimedia.org/r/533699

Change 581016 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Setup.php: Remove internal $messageMemc variable

https://gerrit.wikimedia.org/r/581016

Change 533699 merged by jenkins-bot:
[mediawiki/extensions/SpamBlacklist@master] Remove use of internal $messageMemc variable

https://gerrit.wikimedia.org/r/533699

Change 533698 merged by jenkins-bot:
[mediawiki/extensions/TitleBlacklist@master] Remove use of internal $messageMemc variable

https://gerrit.wikimedia.org/r/533698

Mentioned in SAL (#wikimedia-releng) [2020-03-20T22:43:41Z] <Krinkle> Click "Disable Publishing" for extension-TitleBlacklist, T243175, T143162

Change 581016 merged by jenkins-bot:
[mediawiki/core@master] Setup.php: Remove internal $messageMemc variable

https://gerrit.wikimedia.org/r/581016

Krinkle closed this task as Resolved.Mar 23 2020, 8:46 PM
Krinkle claimed this task.